Skip to main content
GET
/
api
/
v1
/
bungee
/
status
Get Request status
curl --request GET \
  --url https://public-backend.bungee.exchange/api/v1/bungee/status
{
  "success": true,
  "statusCode": 200,
  "result": [
    {
      "hash": "0x72e9af4b1cb5241aca7c2bc7bd3b3c96fc89cf1c2d11fc3918d88c17df0245ed",
      "originData": {
        "input": [
          {
            "token": {
              "chainId": 42161,
              "address": "0xaf88d065e77c8cc2239327c5edb3a432268e5831",
              "name": "USD Coin",
              "symbol": "USDC",
              "decimals": 6,
              "logoURI": "https://assets.coingecko.com/coins/images/6319/large/usdc.png?1696506694",
              "icon": "https://assets.coingecko.com/coins/images/6319/large/usdc.png?1696506694"
            },
            "amount": "10000000",
            "priceInUsd": 1,
            "valueInUsd": 10
          }
        ],
        "originChainId": 42161,
        "txHash": null,
        "status": "PENDING",
        "userAddress": "0xf39fd6e51aad88f6f4ce6ab8827279cfffb92266"
      },
      "destinationData": {
        "output": [
          {
            "token": {
              "chainId": 10,
              "address": "0x0b2c639c533813f4aa9d7837caf62653d097ff85",
              "name": "USD Coin",
              "symbol": "USDC",
              "decimals": 6,
              "logoURI": "https://assets.coingecko.com/coins/images/6319/large/usdc.png?1696506694",
              "icon": "https://assets.coingecko.com/coins/images/6319/large/usdc.png?1696506694"
            },
            "amount": "9852448",
            "minAmountOut": "9852448",
            "priceInUsd": 1,
            "valueInUsd": 9.852448
          }
        ],
        "txHash": null,
        "destinationChainId": 10,
        "receiverAddress": "0xf39fd6e51aad88f6f4ce6ab8827279cfffb92266",
        "status": "PENDING"
      },
      "routeDetails": {
        "name": "bungee-protocol",
        "logoURI": "https://media.socket.tech/bungee.svg"
      },
      "bungeeStatusCode": 0,
      "refund": null
    }
  ]
}

Query Parameters

requestHash
string

Request Hash from Bungee Auto, either requestHash or txHash should be present.

Example:

"0xd65300d945429398ccc5e4c496e27eb628b151f20d6ea402fa37b73e4ac4a68d"

txHash
string

Source Transaction Hash if transaction was created, either txHash or requestHash, one of them should be present.

Response

200 - application/json

Shows Request status details

success
boolean
default:true
required

flag indicating whether the req was successful

statusCode
number
default:200
required

Http status code

message
string | null

error message if request failed

result
object[]